Package pygccxml :: Package utils :: Class loggers

# ClassType loggers

source code

class-namespace, defines few loggers classes, used in the project

Class Variables
| cxx_parser = `_create_logger_('pygccxml.cxx_parser')` logger for C++ parser functionality
| gccxml = `_create_logger_('pygccxml.cxx_parser')`
| pdb_reader = `_create_logger_('pygccxml.pdb_reader')` logger for MS .pdb file reader functionality
| queries_engine = `_create_logger_('pygccxml.queries_engine')` logger for query engine functionality.
| declarations_cache = `utils.loggers.declarations_cache` logger for declarations tree cache functionality
| root = `logging.getLogger('pygccxml')` root logger exists for your convinience only
| all = `[root, cxx_parser, queries_engine, declarations_cache, p`...`` contains all logger classes, defined by the class

Class Variable Details

### cxx_parser

logger for C++ parser functionality

If you set this logger level to DEBUG, you will be able to see the exact command line, used to invoke GCC-XML and errors that occures during XML parsing

Value:

      _create_logger_('pygccxml.cxx_parser')

### queries_engine

logger for query engine functionality.

If you set this logger level to DEBUG, you will be able to see what queries you do against declarations tree, measure performance and may be even to improve it. Query engine reports queries and whether they are optimized or not.

Value:

      _create_logger_('pygccxml.queries_engine')

### declarations_cache

logger for declarations tree cache functionality

If you set this logger level to DEBUG, you will be able to see what is exactly happens, when you read the declarations from cache file. You will be able to decide, whether it worse for you to use this or that cache strategy.

Value:

      utils.loggers.declarations_cache

### all

contains all logger classes, defined by the class

Value:

      [root, cxx_parser, queries_engine, declarations_cache, pdb_reader]